/* G O G L E   F O N T S */


@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,200;0,300;0,500;1,100;1,300&display=swap');
  
* {
  margin: 0;
  padding: -100%;
  scroll-padding-top: 2rem;
  scroll-behavior: smooth;
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
}




body{
  color:var(--text-color);
}
.container { 
  max-width: 1068px;
  margin: auto;
  width: 100%; 

}

section{
  padding: 4rem  3rem;
}

/* H E A D E R */ 
header { 
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background:var(--bg-color);
  box-shadow:0 1px 4px hsl(0, 4%, 15% / 10%  ) ; 
  z-index: 100;
}


.nav { 
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.logo {
  font-size: 1.1rem; 
  color: var(--text-color);
  font-weight: 400;
}

#cart-icon{
  font-size: 1.8rem;
  cursor: pointer;
}
/* C A R T */
.cart{
  position: fixed;
  top: 0;
  right:-100%;
  width: 360px;
  min-height: 100vh;
  padding: 20px;
  background:var(--bg-color);
  box-shadow:-2px 0 4 hsl(0 4% 15% /10%); 
  transition: 0.3s;
}
.cart.active{ 
  right: 0;
}
.cart-title{
  text-align: center;
  font-size: 1.5rem;
  font-weight: 600;
  margin-top: 2rem;
}

.cart-box{
  display:grid;
  grid-template-columns: 32% 50% 18%;
  align-items: center;
  gap: 1rem;
  margin-top: 2rem;
}

.cart-img{
  width: 100px;
  height: 100px;
  object-fit: contain;
  padding: 10px;
}
.detail-box{
  display: grid;
  row-gap: 0.5rem;
}

.cart-product-title{
  font-size: 1rem;
  text-transform: uppercase;
}
.cart-price { 
  font-weight: 500;
}
.cart-quantity{
  border: 1px solid var(--text-color);
  outline-color: var(--main-color);
  width: 2.4rem;
  text-align: center;
  font-size: 1rem;

}

.cart-remove {
  font-size: 24px;
  color: var(--main-color);
  cursor: pointer;
}

.total{
  display: flex;
  justify-content: flex-end;
  margin-top: 1.5rem;
  border-top: 1px solid var(--text-color);
}
.total-title{
  font-size: 1rem;
  font-weight: 600;
}
.total-price{
  margin-left: 0.5rem;
}
.btn-buy{
  display: flex;
  margin: 1.5rem auto 0 auto;
  padding: 12px 20px ;
  border: none;
  background: #86a293;
  color: #fff;
  font-size: 1rem;
  font-weight: 500;
  cursor: pointer;
}

.btn-buy:hover {
  background:#637069;

}
#close-cart{
  position: absolute;
  top: 1rem;
  right: 0.8rem;
  font-size: 2rem;
  color:beige;
  cursor: pointer;
}

.section-title{
  font-size: 1.5rem;
  font-weight:600;
  text-align: center;
  margin-bottom: 1.5rem;
}

.shop{
  margin-top: 2rem;

}

/*S H O P   C O N T E N T */
.shop-content {
  display: grid;
  grid-template-columns: repeat(auto-fit,minmax(220px,auto));
  gap: 1.5rem;
}

.product-box {
  position: relative;
}

.product-box:hover{
  padding: 10px;
  border: 1px solid var(--text-color);
  transition: .04s;
}

.product-img{
  width: 100%;
  height: auto;
  margin-bottom: 0.5rem;
}

.product-title{
  font-size: 1.1rem;
  font-weight: 600;
  text-transform: uppercase;
  margin-bottom: 0.5rem;
}
.price{
  font-weight: 500;
}
.add-cart{
  position: absolute;
  bottom: 0;
  right: 0;
  background:var(--text-color);
  color: var(--bg-color);
  padding: 10px;
  cursor: pointer;
}

.add-cart:hover{
  background: hsl(249,32%,17%);
}




/* form de busqueda*/


.transparent-button:hover {
  background-color: rgba(rgb(6, 6, 28));
}

.transparent-button {
  background-color: transparent;
  border: none;
  color: rgb(112, 96, 96);
  transition: background-color 0.3s ease;
  cursor: pointer;
}

.transparent-button:hover {
  background-color: rgba(66, 72, 141, 0.3)
}

.transparent-button:focus {
  outline: 2px solid rgba(255, 0, 0, 0.7); /* Cambia el color de la sombra del cursor al enfocar el botón */
  outline-offset: 2px; /* Ajusta la distancia entre el contorno y el botón */
  background-color: rgba(255, 0, 0, 0.2); /* Cambia el color de fondo al enfocar el botón */
}


.navbar-nav > li > a {
  padding-top: 1.5px;
  padding-bottom: 21.5px;
}



